cascading

## Class JoinFieldedPipesPlatformTest.AllComparator

- java.lang.Object
- - cascading.JoinFieldedPipesPlatformTest.AllComparator

- All Implemented Interfaces:
    Hasher<java.lang.Comparable>, java.io.Serializable, java.util.Comparator<java.lang.Comparable>
  Enclosing class:
    JoinFieldedPipesPlatformTest

      public static class JoinFieldedPipesPlatformTest.AllComparator
      extends java.lang.Object
      implements java.util.Comparator<java.lang.Comparable>, Hasher<java.lang.Comparable>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinFieldedPipesPlatformTest.AllComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.Comparable lhs, java.lang.Comparable rhs)`
    `int` | `hashCode(java.lang.Comparable value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### JoinFieldedPipesPlatformTest.AllComparator

          public JoinFieldedPipesPlatformTest.AllComparator()

  - ### Method Detail

    - #### compare

          public int compare(java.lang.Comparable lhs,
                    java.lang.Comparable rhs)

      Specified by:
        `compare` in interface `java.util.Comparator<java.lang.Comparable>`

    - #### hashCode

          public int hashCode(java.lang.Comparable value)

      Specified by:
        `hashCode` in interface `Hasher<java.lang.Comparable>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.